Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliAbstractSig.CliCustomMod

java.lang.Object
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliCustomMod

All Implemented Interfaces:
  `CliRepresentable`

Enclosing class:
  `CliAbstractSig`

public static class CliAbstractSig.CliCustomMod extends Object implements CliRepresentable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliCustomMod(BinaryReader reader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CliAbstractSig.CliElementType`
  `getCMOD()`
  `DataType`
  `getDefinitionDataType()`
  `String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`
  `CliAbstractTableRow`
  `getRow(CliStreamMetadata stream)`
  `int`
  `getRowIndex()`
  `String`
  `getShortRepresentation()`
  `String`
  `getShortRepresentation(CliStreamMetadata stream)`
  `CliTypeTable`
  `getTable()`
  `int`
  `getTypeEncoded()`
  `static boolean`
  `isCustomMod(BinaryReader reader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliCustomMod

    public CliCustomMod(BinaryReader reader) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### isCustomMod

    public static boolean isCustomMod(BinaryReader reader) throws IOException
    Throws:
      `IOException`

  - ### getCMOD

    public CliAbstractSig.CliElementType getCMOD()

  - ### getTypeEncoded

    public int getTypeEncoded()

  - ### getTable

    public CliTypeTable getTable()

  - ### getRowIndex

    public int getRowIndex()

  - ### getRow

    public CliAbstractTableRow getRow(CliStreamMetadata stream)

  - ### getDefinitionDataType

    public DataType getDefinitionDataType()

  - ### getRepresentation

    public String getRepresentation(CliStreamMetadata stream)
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getRepresentation

    public String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation()
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation(CliStreamMetadata stream)
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`